Bug 18915 - Encouraged cite attribute behavior is unlikely to be implemented and so should be dropped
Encouraged cite attribute behavior is unlikely to be implemented and so shoul...
Status: RESOLVED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
PC All
: P2 normal
: ---
Assigned To: Edward O'Connor
HTML WG Bugzilla archive list
:
Depends on: 18998
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-19 08:45 UTC by Maciej Stachowiak
Modified: 2014-03-14 12:51 UTC (History)
9 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Maciej Stachowiak 2012-09-19 08:45:27 UTC
The Rendering section, in subsection Links, Forms and Navigation <http://dev.w3.org/html5/spec/rendering.html#links,-forms,-and-navigation> says:

"User agents are expected to allow users to navigate browsing contexts to the resources indicated by the cite attributes on q, blockquote, ins, and del elements."

As far as I can tell, mainstream UAs do not implement this, and I don't know of any planning to offer such behavior. Making these elements act as hyperlinks directly is likely to be incompatible with existing content, a context menu item is too obscure to be worth it, and out-of-line UI is likely not to merit space in the UI chrome.

"expected" statements in the Rendering section are MUST-level conformance criteria for the "Visual user agents that support the suggested default rendering" conformance class:

<http://dev.w3.org/html5/spec/infrastructure.html#conformance-classes>

Since this requirement is unlikely to be implemented, it should be dropped. Otherwise it is likely to be dropped in CR anyway.
Comment 1 Laura Carlson 2012-09-19 17:05:22 UTC
The "cite" attribute is supported in iCab. 

The context menu has a "Show Cite of Element" listing. When it is selected it takes the user to the reference which is cited.
Comment 2 Edward O'Connor 2012-09-25 21:35:52 UTC
I've added a dependency on bug 18998, which is tracking the Decision Policy change that will define how we mark features as at-risk (& subsequently drop them).
Comment 3 steve faulkner 2012-09-28 10:42:25 UTC
(In reply to comment #0)
> The Rendering section, in subsection Links, Forms and Navigation
> <http://dev.w3.org/html5/spec/rendering.html#links,-forms,-and-navigation>
> says:
> 
> "User agents are expected to allow users to navigate browsing contexts to the
> resources indicated by the cite attributes on q, blockquote, ins, and del
> elements."
> 
> As far as I can tell, mainstream UAs do not implement this, and I don't know of
> any planning to offer such behavior. Making these elements act as hyperlinks
> directly is likely to be incompatible with existing content, a context menu
> item is too obscure to be worth it, and out-of-line UI is likely not to merit
> space in the UI chrome.
> 
> "expected" statements in the Rendering section are MUST-level conformance
> criteria for the "Visual user agents that support the suggested default
> rendering" conformance class:
> 
> <http://dev.w3.org/html5/spec/infrastructure.html#conformance-classes>
> 
> Since this requirement is unlikely to be implemented, it should be dropped.
> Otherwise it is likely to be dropped in CR anyway.

JAWS since version 4.5 has supported the announcement of cite attribute content.
Comment 4 Edward O'Connor 2012-10-03 01:13:46 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
satisfied with this response, please change the state of this bug to CLOSED. If
you have additional information and would like the Editor to reconsider, please
reopen this bug. If you would like to escalate the issue to the full HTML
Working Group, please add the TrackerRequest keyword to this bug, and suggest
title and text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this document:

   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Rejected
Change Description: No spec change.
Rationale: I've captured the at-risk nature of this feature on the Wiki
page we're using to track such things:

          http://www.w3.org/html/wg/wiki/HTML5.0AtRiskFeatures

Resolving as REMIND; we'll revisit this during HTML5's CR period.
Comment 5 Silvia Pfeiffer 2012-12-07 09:55:07 UTC
Note that I have just cherry-picked Ian's change for @cite from
https://github.com/w3c/html/commit/326736176d5986b2385e07259b655b31edbc77f2
into the HTML5.1 ED.

He added a sentence saying:
<p>This value <span class="impl">may be shown to the user, but it</span> is primarily intended for private use.</p>

This has not been changed in HTML5. The resolution should both include what to do for HTML5 and what for the next version.
Comment 6 Robin Berjon 2014-03-14 12:51:31 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
satisfied with this response, please change the state of this bug to CLOSED. If
you have additional information and would like the Editor to reconsider, please
reopen this bug. If you would like to escalate the issue to the full HTML
Working Group, please add the TrackerRequest keyword to this bug, and suggest
title and text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this document:

   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: The requirement has been relaxed.
Rationale: For all the reasons cited, the requirement has been relaxed to indicate that UAs may allow users to do something with cite, but are under no requirement to do anything. This change has been applied to both master and CR.